---
title: verify address
slug: api-documentation/verify-address
docTags: 
createdAt: 2026-08-27T17:08:54.010Z
---

{
  "id": "GwtsCd574zi5eCNm-cpjt",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/v1/tax/verify-address",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/tax/verify-address",
        "description": "Dev Server"
      }
    ],
    "name": "verify address",
    "description": "<p>This endpoint verifies the address associated with a certain tenant.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li>Authorizers.taxRead</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/xml"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "<p>The address to verify, with the tax provider credentials and environment used for the lookup.</p>",
          "schema": [
            {
              "name": "userName",
              "kind": "required",
              "type": "string",
              "description": "Username of the user this configuration record is associated with.",
              "minLength": 1
            },
            {
              "name": "password",
              "kind": "required",
              "type": "string",
              "description": "Password associated with the username.",
              "minLength": 1
            },
            {
              "name": "environment",
              "kind": "required",
              "type": "string",
              "description": "Environment type for this configuration.",
              "minLength": 1
            },
            {
              "name": "taxProvider",
              "kind": "required",
              "type": "string",
              "description": "Name of the provider that provides the tax calculation service for this configuration record.",
              "minLength": 1
            },
            {
              "name": "address",
              "kind": "required",
              "type": "object",
              "description": "",
              "example": "",
              "schema": [
                {
                  "name": "street1",
                  "kind": "required",
                  "type": "string",
                  "description": "<p>Street name/number.</p>",
                  "minLength": 1
                },
                {
                  "name": "city",
                  "kind": "required",
                  "type": "string",
                  "description": "City name.",
                  "minLength": 1
                },
                {
                  "name": "stateOrRegion",
                  "kind": "required",
                  "type": "string",
                  "description": "State or region.",
                  "minLength": 1
                },
                {
                  "name": "country",
                  "kind": "required",
                  "type": "string",
                  "description": "Country name.",
                  "minLength": 1
                },
                {
                  "name": "postalCode",
                  "kind": "required",
                  "type": "string",
                  "description": "Postal code.",
                  "minLength": 1
                },
                {
                  "name": "postalCode5",
                  "kind": "optional",
                  "type": "string",
                  "description": "5 digit postal code."
                }
              ]
            }
          ],
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-the address has been corrected/validated successfully.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "street1",
                "kind": "optional",
                "type": "string",
                "description": "<p>Street name/number.</p>",
                "minLength": 1
              },
              {
                "name": "city",
                "kind": "optional",
                "type": "string",
                "description": "City name.",
                "minLength": 1
              },
              {
                "name": "stateOrRegion",
                "kind": "optional",
                "type": "string",
                "description": "State or region.",
                "minLength": 1
              },
              {
                "name": "country",
                "kind": "optional",
                "type": "string",
                "description": "Country name.",
                "minLength": 1
              },
              {
                "name": "postalCode",
                "kind": "optional",
                "type": "string",
                "description": "Postal code.",
                "minLength": 1
              },
              {
                "name": "postalCode5",
                "kind": "optional",
                "type": "string",
                "description": "5 digit postal code."
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "204",
        "description": "<p>No Content-the address is correct.</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "<p>Bad Request-the request contained data that could not be processed.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Error payload returned by the bad-request and unauthorized responses, identifying the failure by name, code and detail.</p>",
            "customType": "GeneralError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Error name.",
                "minLength": 1
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": "Error code.",
                "minLength": 1
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": "Reason why this error occurred.",
                "minLength": 1
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": "Error details.",
                "minLength": 1
              }
            ],
            "modelRef": "#/components/schemas/GeneralError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized-the provided credentials were invalid for this endpoint.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Error payload returned by the bad-request and unauthorized responses, identifying the failure by name, code and detail.</p>",
            "customType": "GeneralError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Error name.",
                "minLength": 1
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": "Error code.",
                "minLength": 1
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": "Reason why this error occurred.",
                "minLength": 1
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": "Error details.",
                "minLength": 1
              }
            ],
            "modelRef": "#/components/schemas/GeneralError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "<p>Not Found-the requested resource was not found in the NoChannel system.</p>",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "_BTdGRtS4jLaS4JLB0Qjq",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/v1/tax/verify-address \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '{\n     \"userName\": \"\",\n     \"password\": \"\",\n     \"environment\": \"\",\n     \"taxProvider\": \"\",\n     \"address\": {\n     \"street1\": \"\",\n     \"city\": \"\",\n     \"stateOrRegion\": \"\",\n     \"country\": \"\",\n     \"postalCode\": \"\"\n     }\n     }'"
        },
        {
          "id": "F4F06hKDsm4NhslbxSjJ9",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify({\n   \"userName\": \"\",\n   \"password\": \"\",\n   \"environment\": \"\",\n   \"taxProvider\": \"\",\n   \"address\": {\n      \"street1\": \"\",\n      \"city\": \"\",\n      \"stateOrRegion\": \"\",\n      \"country\": \"\",\n      \"postalCode\": \"\"\n   }\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/tax/verify-address\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "c_PRYRy0G2kL0as7FxX2s",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/tax/verify-address\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump({\n   \"userName\": \"\",\n   \"password\": \"\",\n   \"environment\": \"\",\n   \"taxProvider\": \"\",\n   \"address\": {\n      \"street1\": \"\",\n      \"city\": \"\",\n      \"stateOrRegion\": \"\",\n      \"country\": \"\",\n      \"postalCode\": \"\"\n   }\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "1pvYTkae5rU9TntuF4Dbi",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/tax/verify-address\"\n\npayload = json.dumps({\n   \"userName\": \"\",\n   \"password\": \"\",\n   \"environment\": \"\",\n   \"taxProvider\": \"\",\n   \"address\": {\n      \"street1\": \"\",\n      \"city\": \"\",\n      \"stateOrRegion\": \"\",\n      \"country\": \"\",\n      \"postalCode\": \"\"\n   }\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "_BTdGRtS4jLaS4JLB0Qjq"
    },
    "results": {
      "languages": [
        {
          "id": "buzla60uwWPOLMhHMw4FP",
          "language": "200",
          "code": "// Success-the address has been corrected/validated successfully.\n{\n  \"street1\": \"\",\n  \"city\": \"\",\n  \"stateOrRegion\": \"\",\n  \"country\": \"\",\n  \"postalCode\": \"\",\n  \"postalCode5\": \"\"\n}"
        },
        {
          "id": "WNHf1RMb5UTe8WMNNd7Gc",
          "language": "204",
          "code": "// No Content-the address is correct.\n"
        },
        {
          "id": "ibTxnr3Mu59loS_8DRdoX",
          "language": "400",
          "code": "// Bad Request-the request contained data that could not be processed.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"reason\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "V_IihvvDUpvXcnyeo2TD8",
          "language": "401",
          "code": "// Unauthorized-the provided credentials were invalid for this endpoint.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"reason\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "cu2O-t0fqD4eX6xPioaDO",
          "language": "404",
          "code": "// Not Found-the requested resource was not found in the NoChannel system.\n"
        }
      ],
      "selectedLanguageId": "buzla60uwWPOLMhHMw4FP"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}